Update Collection
Updates a vector store collection record.
Path parameters
-
id string required
The ID of the vector store collection.
Body
application/jsonUpdate Vector Store Request Payload
-
name string required
The name of the vector store collection. Note: the previously generated unique ID will remain the same.
Responses
OK
application/json · get-vector-store-response-payload
Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope.
application/json · error-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
curl -X PATCH https://api.vultrinference.com/v1/vector_store/{id} \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'import os
import requests
response = requests.patch(
"https://api.vultrinference.com/v1/vector_store/{id}",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
json={
"name": "string",
},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "string"
}),
});
console.log(await response.json());Response · 202
{
"collection": {
"id": "string",
"name": "string",
"created": "string"
}
}